<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("righ" . "ts" => base64_decode("cml" . "naH" . "Rz"), "_923b46b96d9d" . "b24c4faa35027" . "fc77b71" => base64_decode("Q29udHJvbCBjYW4ndCBpbnB1dCB0aGUgZGF0Y" . "Q=="), "_6f65d5feee27" . "b320b6f7785c8" . "2762a72" => base64_decode("dXNlcnNfbGlzdC52aXNpYmx" . "l"), "_4be538b2f65" . "f8d8f8dde8a9" . "14f610076" => base64_decode("Vmlldw" . "=="));





class FFControlUsersList extends FFControlAbstract
{
    var $perms;
    var $perms_dialog;
    
    
    
    
    
    
    
    public function __construct($key, $title)
    {
        parent::__construct($key, $title);
        $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["right" . "s"]] = array();
    }
    
    
    
    
    
    public function LoadFromForm()
    {
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4be538b2f65f8d8" . "f8dde8a914f61007" . "6"], 1)));
        $this->perms->Load();
        if (!$this->perms_dialog or !$this->perms_dialog->Update()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_923b46b96d9db" . "24c4faa35027fc" . "77b71"]);
        }
        $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["ri" . "gh" . "ts"]] = $this->perms->rights;
        
        
        
        return true;
    }
    public function Draw()
    {
        $_1a7eeedc1ca1289115e80107e7e6a911[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_6f65d5feee27b320b6f77" . "85c82762a72"]] = 1;
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4be538b2f65f8d8f8" . "dde8a914f610076"], 1)));
        $this->perms->Load();
        $this->perms->rights = $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["rig" . "hts"]];
        $this->perms_dialog->Show();
        return $_1a7eeedc1ca1289115e80107e7e6a911;
    }
}